Main Page Packages Class Hierarchy Compound List File List Compound Members

# textsplittextthree Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| textsplittextthree (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

After the "splitText(offset)" method breaks the Text node into two Text nodes, the new Text node contains all the content at and after the offset point.

Retrieve the textual data from the second child of the third employee and invoke the "splitText(offset)" method. The new Text node should contain all the content at and after the offset point. The "getNodeValue()" method is called to check that the new node now contains the characters at and after position seven. (Starting count at 0)

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D

Definition at line 49 of file textsplittextthree.java.

## Constructor & Destructor Documentation

textsplittextthree::textsplittextthree | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file textsplittextthree.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String textsplittextthree::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file textsplittextthree.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textsplittextthree";
    00075    }

void textsplittextthree::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file textsplittextthree.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(textsplittextthree.class,args);
    00078    }

void textsplittextthree::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file textsplittextthree.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList elementList;
    00060       Node nameNode;
    00061       Text textNode;
    00062       Text splitNode;
    00063       String value;
    00064       doc = load("staff");
    00065       elementList = doc.getElementsByTagName("name");
    00066       nameNode = elementList.item(2);
    00067       textNode = (Text)nameNode.getFirstChild();
    00068       splitNode = textNode.splitText(6);
    00069       value = splitNode.getNodeValue();
    00070       assertEquals("textSplitTextThreeAssert"," Jones",value);
    00071
    00072    }

The documentation for this class was generated from the following file:

- textsplittextthree.java